<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.ezhizao.project.business.inspectionChamber.mapper.BizWorkshopChamberMapper">

    <resultMap type="cn.ezhizao.project.business.inspectionChamber.domain.BizWorkshopChamber" id="BizWorkshopChamberResult">
        <id column="id" property="id"/>
    </resultMap>


    <select id="getList" parameterType="BizWorkshopChamber" resultMap="BizWorkshopChamberResult">
        SELECT * FROM biz_workshop_chamber
        <trim prefix=" WHERE" suffix="" suffixOverrides="AND">
            deleted = 0
        </trim>
    </select>

    <delete id="physicalDelete">
        DELETE FROM biz_workshop_chamber
        <trim prefix=" WHERE" suffix="" suffixOverrides="AND">
            <if test="id != null">
                id = #{id} AND
            </if>
       <!-- 删除条件为其他外键可以在这里加 -->
        </trim>
    </delete>
</mapper>
